## awstats 6.9.5~dfsg

=== debian/changelog ===
awstats (6.9.5~dfsg-5) unstable; urgency=high

  [ Sergey B Kirpichev ]
  * Bump up Standards-Version to 3.9.1.
  * Remove examples/staticpages.sh.
  * Take sucurity fixes from upstream CVS:
    - CVE-2010-4369: patch 0009 (closes directory traversal vulnerability via
      crafted LoadPlugin directory).
    - CVE-2010-4367(and CVE-2010-4368): update patch 1002 (sanitize configdir,
      disable overwriting of configdir parameter in cgi mode).
    Closes: bug#606263.

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Ease building with git-buildpackage:
    + Add dpkg-source local-options.
    + Suppress .pc dir.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Dec 2010 00:05:07 +0100

awstats (6.9.5~dfsg-4) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix bashism in buildstatic.sh.
    Closes: bug#582861.
  * Recommend versions of coreutils supporting mktemp --tmpdir.
    Closes: bug#582602, thanks to Vincent Danjean.

  [ Andreas Henriksson ]
  * Remove myself from uploaders.

  [ Sergey B Kirpichev ]
  * Install logresolvemerge.pl in tools.
    Closes: bug#275491.
  * Change order of configs parsing in update.sh and buildstatic.sh.
    Closes: bug#580699, thanks to Ken Neighbors.
  * Improve documentation.  Logfile permissions, EnableLockForUpdate
    option, setup for multiple sites.
    Closes: bug#580702, thanks to Ken Neighbors.
  * Prevent nested includes from being prematurely closed.
    Closes: bug#575545, thanks to Ken Neighbors.
  * Rephrase steps needed for apache.conf installation.
    Closes: bug#590947.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Aug 2010 23:26:53 -0400

awstats (6.9.5~dfsg-3) unstable; urgency=low

  [ Sergey B Kirpichev ]
  * Show error messages from cron jobs.
    Closes: bug#580672, thanks to Ken Neighbors.
  * Add option to disable nightly generation of static html reports.
    Closes: bug#580692, thanks to Ken Neighbors.
  * Option to use "nice" to lower the priority of cron scripts.
    Closes: bug#580693, thanks to Ken Neighbors.
  * Set default language (en) for static reports generation
  * Cosmetic improvements to cron scripts.
    Closes: bug#580704.
  * Recognize method/protocol RTSP in uppercase.
    Closes: bug#350601, thanks to Lee Maguire.
  * Report permissions problem while reading awstats.custom.conf.
    Closes: bug#572353, thanks to Ken Neighbors.

  [ Jonas Smedegaard ]
  * Reverse test logic when sourcing /etc/default/awstats to not fail if
    missing.
  * Respect TMPDIR for temporary files (i.e. use mktemp --tmpdir).
  * Update patches:
    + Drop (unapplied) patch 0011: applied upstream at some point in the
      past.
    + Unfuzz (unapplied) patch 0006.
    + Refresh patches 0006, 1015 and 1016 with compacting quilt options
      --no-index --no-timestamps -pab.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 May 2010 13:53:50 +0200

awstats (6.9.5~dfsg-2) unstable; urgency=low

  [ Sergey B Kirpichev ]
  * Fail on error in buildstatic.sh.
  * Clarify patch policy.
  * Set up executable bit on awstats_buildstaticpages.pl.
    Closes: bug#580523, thanks to Ken Neighbors and Laurent Bonnaud.

  [ Jonas Smedegaard ]
  * Tidy patch README a bit - stripping note related to a specific
    patch.
  * Refer to FSF website (not postal address) in licensing header of
    rules file.
  * Release to unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 May 2010 18:04:04 +0200

awstats (6.9.5~dfsg-1) experimental; urgency=low

  [ Sergey B Kirpichev ]
  * New upstream release.
  * Fix paths for all geoip plugins.
  * Rewrite patch 1004 to check full Perl version (not just minor
    version, and not just drop the check - see #440035), and to fix
    awstats_buildstaticpages.pl too.
    Closes: #519319, thanks to Andrew Ruthven.
  * Update patch 1007 (russian locale) to use abbreviated month and day
    of week names, and to fix dos->unix fileformat.
  * Drop patch 2001 (hiding charts in days of month statistics) as it
    breaks rounding of Averages. Closes: #522467, thanks to Jools Wills.
  * Add new patch 1012 to strip the trailing dot when making a reverse
    on ipv6 addresses. Closes: #397544, thanks to Laurent Bigonville.
  * Add new patch 1013 to fix wrong search engine logging from yahoo
    sites. Closes: #347426, thanks to Erik Jacobson.
  * Add new patch 1014 to add WebSec to robots list.
    Closes: #284149, thanks to Baruch Even.
  * Add new patch 2001 to fix awstats_buildstaticpages.pl path to
    awstats.pl.
  * Add/fix Description & Author fields for patches.
  * Submit 1xxx patches upstream
  * Renumber patches adopted upstream:
    + 1006 → 0006
    + 1007 → 0007 (upstream #2540486)
    + 1011 → 0011 (upstream #2794728)
  * Improve cron job:
    + Drop log file checks.
      Closes: #294586, #439889, thanks to Ralf Neubauer and others.
    + Move update to new script update.sh supporting multiple configs.
    + Add new script buildstatic.sh to generate daily static reports.
      Drop TODO item about generating only static reports.
  * Update README.Debian:
    + Add multisite notes. Closes: #415334, thanks to Eric Wadsworth.
    + Fix note on combined log format (Apache2 uses CLF per default).
    + Cleanup configure.pl notes
    + Use Apache 2.x in examples.
  * Create /var/cache/awstats in postinst, for static html reports.
  * Change DATADIR to /var/lib/awstats in sample script redostats.sh.
  * Install awstats_buildstaticpages.pl as tool (not sample script).
  * Add /etc/default/awstats file.
  * Handle /etc/awstats/awstats.conf in update.sh and buildstatic.sh
  * Suggest liburi-perl.
    Closes: #558131.

  [ Jonas Smedegaard ]
  * Add README.source.  Drop README.cdbs-tweaks.
  * Mention git-orig-source build target in watch file.
  * Bump standards-version to 3.8.4.
  * Bump debhelper compatibility level to 6.
  * Reformat debian/copyright to conform to proposal DEP5 rev. 135.
  * Include actual licensing text of GPL-2+ in debian/copyright.
  * Build java applet using Ant and in compliance with Debian Java

