## awstats 7.0~dfsg

=== debian/changelog ===
awstats (7.0~dfsg-5) unstable; urgency=low

  * Add MAILTO=root to awstats.cron.d (Closes: #652665, thanks to
    Dominique Brazziel)
  * Add todo for #302210
  * 1019_allow_frame_resize.patch: Allow resize of mainleft/right frames
    (Closes: #293218)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 28 Dec 2011 17:14:12 +0400

awstats (7.0~dfsg-4) unstable; urgency=low

  * Apply some compatibility fixes for perl 5.14: introduce 1018_perl5-
    14.patch (Closes: #650492, #652070, thanks to Atsuhito Kohda)
  * Fixed Bug-Debian info for 016_downloads_list_page.patch

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 14 Dec 2011 22:36:06 +0400

awstats (7.0~dfsg-3) unstable; urgency=low

  * Bump up Standards-Version (to 3.9.2)
  * Removed .gitignore
  * Replace /usr/share/doc/awstats/html/awstats_changelog.txt.gz by
    symlink to avoid lintian warning
  * Include patches/1016_downloads_list_page.patch to generate
    "Downloads Full list" page (Closes: #638857)
  * Refresh patches with --no-index --no-timestamps -pab --diffstat
  * Include patches/1017_fix_html_output_markup.patch to fix some output
    issues (Closes: #630943)
  * Update copyright for debian/* files
  * Minor tweaks of debian/README.Debian
  * Add some hints to restrict access to /cgi-bin/awstats.pl (Closes:
    #590953)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 29 Oct 2011 16:43:28 +0400

awstats (7.0~dfsg-2) unstable; urgency=low

  [ Sergey B Kirpichev ]
  * Process the /etc/awstats/awstats.conf file in
    update.sh/buildstatic.sh only if it's exists (Closes: #613524)
  * Allow change $NBOFLASTUPDATELOOKUPTOSAVE via CGI/CLI arguments
    (Closes: #600225).

  [ Jonas Smedegaard ]
  * Remove myself as uploader.  Thanks for all the fish.

  [ Sergey B Kirpichev ]
  * Drop Debian AWStats Team from Maintainer's

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 06 Apr 2011 03:31:45 +0400

awstats (7.0~dfsg-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#613447.

  [ Sergey B Kirpichev ]
  * Unfuzz patches.
  * Update patch 1008.
  * Drop obsolete patches.
  * Fix +x bit on *.js in docs/examples
  * Avoid asterisks in debian/NEWS entries, to please lintian.
  * Fix recode bulgarian tooltips file as utf-8.
    Closes: bug#610632.
  * Forward patches 0007 and 1015 upstream.
  * Allow DM (Debian Maintainer) uploads.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Rewrite using Subversion rev.173 of draft DEP5 format.
    + Add some previously missed authors and licenses.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 19:44:25 +0100
