=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: awstats
 Section: web
 Priority: optional
-Maintainer: Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>, Sergey B Kirpichev <skirpichev@gmail.com>
+Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+DM-Upload-Allowed: yes
 Build-Depends: cdbs (>= 0.4.70~),
  devscripts (>= 2.10.7~),
  debhelper (>= 6),
@@ -12,7 +12,7 @@
  sharutils
 Vcs-Git: git://git.debian.org/git/collab-maint/awstats.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/awstats.git;a=summary
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://awstats.sourceforge.net/
 
 Package: awstats
