=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 DEB_UPSTREAM_URL = http://prdownloads.sourceforge.net/awstats
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/(-6\.9)\.(\d)/$$1$$2/
-DEB_UPSTREAM_TARBALL_MD5 = 26a5b19fa9f395e9e7dafed37b795d7f
+DEB_UPSTREAM_TARBALL_MD5 = 3e8e09b9ebe74513bb34290dbcd37b45
 
 DEB_UPSTREAM_REPACKAGE_EXCLUDE = wwwroot/icon/browser/firefox.png
 
@@ -91,6 +91,9 @@
 	find $(DEB_DESTDIR)/usr/share/awstats -type f  -exec chmod -x '{}' +
 	find $(DEB_DESTDIR)/usr/share/awstats/tools $(DEB_DESTDIR)/usr/share/doc/awstats/examples \
 		\( -name '*.pl' -o -name '*.sh' \) -exec chmod +x '{}' +
+	find $(DEB_DESTDIR)/usr/share/doc/awstats/examples \
+		\( -name '*.css' -o -name '*.xsd' -o -name '*.txt' -o -name '*.xslt' -o -name '*.js' \) \
+		-exec chmod -x '{}' +
 
 # Needed (often/sometimes) at runtime
 # * Recent coreutils needed for cron scripts (doing mktemp --tmpdir)
