## awstats 7.1~dfsg

=== debian/changelog ===
awstats (7.1~dfsg-1) unstable; urgency=low

  * Ensure that backwards compatible Java bytecode is built (Closes:
    #687414)
  * Add option to easy switch off awstats crontabs.  Install symlink for
    awstats binary to /usr/bin.  Closes: #641481.
  * Drop deprecated DMUA flag
  * Link missing mime-icons to notavailable.png (Closes: #690379)
  * Fix lintian unused-license-paragraph-in-dep5-copyright (Add comment
    for Files: wwwroot/icon/mime/*)
  * Fix lintian copyright-refers-to-symlink-license (GPL -> GPL-1+)
  * Install manpage
  * Imported Upstream version 7.1~dfsg
  * Update patches for new release
  * Fix executable bit on awstats.pl
  * Bump up Standards-Version (to 3.9.4)
  * Change license for wwwroot/icon/mime/* icons (Closes: #698921)
  * Update watch file for 7.x
  * Add debian/icons/firefox.png to include-binaries
  * Update DEB_UPSTREAM_TARBALL* stuff in rules

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 22 Feb 2013 19:33:53 +0400

awstats (7.0~dfsg-7) unstable; urgency=low

  * Document -configdir option in README.Debian (Closes: #280067)
  * Show config name on error in update.sh (Closes: #675174, thanks to
    laurent@bearteam.org)
  * Create an index.$lang.html file in buildstatic.sh (Closes: #673317,
    thanks to Antoine Beaupré)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 13 Jun 2012 21:44:08 +0400

awstats (7.0~dfsg-6) unstable; urgency=low

  * Document pipe's usage in LogFile directive (Closes: #435028)
  * Reformat debian/copyright according to accepted DEP5 spec
  * Bump up Standards-Version to 3.9.3 (no changes)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 05 Mar 2012 15:38:42 +0400
