=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: web
 Priority: optional
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-DM-Upload-Allowed: yes
 Build-Depends: cdbs (>= 0.4.70~),
  devscripts (>= 2.10.7~),
  debhelper (>= 6),
@@ -12,7 +11,7 @@
  sharutils
 Vcs-Git: git://git.debian.org/git/collab-maint/awstats.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/awstats.git;a=summary
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://awstats.sourceforge.net/
 
 Package: awstats
