## awstats 7.1.1~dfsg

=== debian/changelog ===
awstats (7.1.1~dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #703596)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 29 Mar 2013 01:06:00 +0400
