=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 DEB_UPSTREAM_URL = http://prdownloads.sourceforge.net/awstats
-DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/(-6\.9)\.(\d)/$$1$$2/
-DEB_UPSTREAM_TARBALL_MD5 = 3e8e09b9ebe74513bb34290dbcd37b45
+DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/(-7\.1)\.(\d)/$$1$$2/
+DEB_UPSTREAM_TARBALL_MD5 = 9ee8cb9c89295a519638ae1cf6a4e1e2
 
 DEB_UPSTREAM_REPACKAGE_EXCLUDE = wwwroot/icon/browser/firefox.png
 
@@ -39,12 +39,6 @@
 DEB_ANT_BUILDFILE = debian/build.xml
 DEB_ANT_BUILD_TARGET = bin-jar
 DEB_ANT_ARGS = -Dpackage=awgraphapplet -Dversion=$(DEB_NOEPOCH_VERSION)
-
-# "Binarize" (and cleanup) Debian-shipped non-trademarked Firefox icon
-pre-build::
-	uudecode -o debian/icons/firefox.png debian/icons/firefox.png.uu
-clean::
-	rm -f debian/icons/firefox.png
 
 # Adjust for Debian (and cleanup) main config file
 common-configure-indep::
@@ -94,6 +88,7 @@
 	find $(DEB_DESTDIR)/usr/share/doc/awstats/examples \
 		\( -name '*.css' -o -name '*.xsd' -o -name '*.txt' -o -name '*.xslt' -o -name '*.js' \) \
 		-exec chmod -x '{}' +
+	chmod +x $(DEB_DESTDIR)/usr/lib/cgi-bin/awstats.pl
 
 # Needed (often/sometimes) at runtime
 # * Recent coreutils needed for cron scripts (doing mktemp --tmpdir)
