## awstats 7.2%2Bdfsg

=== debian/control ===
Source: awstats
Section: web
Priority: optional
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
Build-Depends: debhelper (>= 9), ant, default-jdk, sharutils
Vcs-Git: git://anonscm.debian.org/collab-maint/awstats.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/awstats.git;a=summary
Standards-Version: 3.9.4
Homepage: http://awstats.sourceforge.net/

Package: awstats
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Recommends: libnet-xwhois-perl, coreutils (>= 7.4)
Suggests: apache2 | httpd, libnet-dns-perl, libnet-ip-perl, libgeo-ipfree-perl, liburi-perl
Description: powerful and featureful web server log analyzer
 Advanced Web Statistics (AWStats) is a powerful web server logfile
 analyzer written in perl that shows you all your web statistics including
 visits, unique visitors, pages, hits, rush hours, search engines, keywords
 used to find your site, robots, broken links and more. Gives more detailed
 information and better graphical charts than webalizer, and is easier to use.
 Works with several web server log format as a CGI and/or from command line.
 Supports more than 30 languages.
