## awstats 7.2+dfsg

=== debian/changelog ===
awstats (7.2+dfsg-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: code execution via path traversal flaws
    - debian/patches/CVE-2017-1000501-1.patch: sanitize values in
      wwwroot/cgi-bin/awstats.pl.
    - debian/patches/CVE-2017-1000501-2.patch: sanitize more values in
      wwwroot/cgi-bin/awstats.pl.
    - CVE-2017-1000501

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Jan 2018 07:40:55 -0500

awstats (7.2+dfsg-1) unstable; urgency=low

  * Repackage upstream sources with uscan
  * Adopt README.source for new release
  * Imported Upstream version 7.2+dfsg
  * Refresh patches
  * Upgrade licences (upstream and debian/) to GPL v3+.
  * Fix lintian error: vcs-field-not-canonical

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 16 Nov 2013 14:57:22 +0400

awstats (7.1.1~dfsg-2) unstable; urgency=low

  * Remove unsupported copyright_hints (autogenerated)
  * Use patch (not perl) to apply Debian-specific configuration changes
  * Add debian/awstats.examples
  * Drop absoleted binary-post-install/awstats target
  * drop binary-fixup target
  * Add patch with build.xml
  * Drop obsoleted control.in
  * Transition to dh build system, drop CDBS dependence
  * Override dh_compress
  * Fix permissions on doc/awstats/examples/*.pl

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 07 Oct 2013 20:43:11 +0400
