=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs docs/awstats_changelog.txt

override_dh_auto_install:
	dh_auto_install
	dh_install \
		wwwroot/classes/awgraphapplet-$(DEB_VERSION).jar \
		usr/share/java/awstats/
	cp wwwroot/cgi-bin/awstats.model.conf debian/awstats/etc/awstats/awstats.conf

override_dh_link:
	dh_link
	dh_link \
		usr/share/java/awstats/awgraphapplet-$(DEB_VERSION).jar \
		usr/share/java/awstats/awgraphapplet.jar

override_dh_compress:
	dh_compress -X.sh -X.pl -X.ico

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/awstats/usr/share/doc/awstats/examples/*.pl
	chmod +x debian/awstats/usr/share/doc/awstats/examples/*.sh

override_dh_auto_build:
	dh_auto_build \
		--buildsystem=ant \
		--sourcedirectory=wwwroot/classes -- \
		-Dversion=$(DEB_VERSION) bin-jar

override_dh_auto_clean:
	-dh_auto_clean \
		--buildsystem=ant \
		--sourcedirectory=wwwroot/classes -- \
		-Dversion=$(DEB_VERSION)
