## awstats 7.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: awstats
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper (>= 9), ant, default-jdk, sharutils
 Vcs-Git: git://anonscm.debian.org/collab-maint/awstats.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/awstats.git;a=summary
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://awstats.sourceforge.net/
 
 Package: awstats
