## awstats 7.4+dfsg

=== debian/changelog ===
awstats (7.4+dfsg-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: code execution via path traversal flaws
    - debian/patches/CVE-2017-1000501-1.patch: sanitize values in
      wwwroot/cgi-bin/awstats.pl.
    - debian/patches/CVE-2017-1000501-2.patch: sanitize more values in
      wwwroot/cgi-bin/awstats.pl.
    - CVE-2017-1000501

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Jan 2018 07:39:52 -0500

awstats (7.4+dfsg-1ubuntu0.1) xenial; urgency=medium

  * Backport upstream patch to remove regexp syntax deprecation warnings
    on Perl 5.22 (LP: #1585121).

 -- Marius Gedminas <marius@gedmin.as>  Sun, 18 Sep 2016 18:48:38 +0300

awstats (7.4+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 7.4+dfsg
  * Remove patches, applied by upstream
  * Refresh patches
  * Adopt debian/awstats.docs for new README name
  * Update installation instructions (Closes: #756501)
  * Use the upstream version in the path name for awgraphapplet.jar

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 27 Jul 2015 13:56:07 +0300

awstats (7.3+dfsg-1) unstable; urgency=medium

  * Remove donation link in index.html (fix lintian
    E: privacy-breach-donation) in favor of debian/upstream/metadata
  * Install prerotate script (Closes: #714231)
  * Imported Upstream version 7.3+dfsg
  * Refresh patches
  * Add/cleanup Forwarded: patch headers
  * Fix permissions
  * Removed Facebook's Share/Like buttons (fix
    lintian E:privacy-breach-facebook)
  * Remove external image links for paypal donation (lintian
    E: privacy-breach-donation)
  * Removed twitter and google plus js (privacy breach)
  * Removed google search js (privacy breach)
  * removed pixel.gif
  * Set Forwarded: no for privacy patches
  * debian/upstream -> debian/upstream/metadata
  * Override lintian: debian-watch-may-check-gpg-signature and
    source-contains-prebuilt-java-object
  * Replace awstats_logo6.png by symlink
  * Bump up Standards-Version (to 3.9.6)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 27 Oct 2014 21:32:34 +0300
