=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: awstats
 Section: web
 Priority: optional
-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper (>= 9), ant, default-jdk, sharutils
 Vcs-Git: git://anonscm.debian.org/collab-maint/awstats.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/awstats.git;a=summary
