## awstats 7.5+dfsg

=== debian/changelog ===
awstats (7.5+dfsg-1) unstable; urgency=medium

  * Fix FTBFS (when built twice in a row): remove
    awgraphapplet-*.jar in the clean target
  * Fix encoding in German translation (Closes: #789361,
    thanks to Thorsten Glaser)
  * Imported Upstream version 7.5+dfsg
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 09 May 2016 16:20:22 +0300
