## awstats 7.6+dfsg

=== debian/changelog ===
awstats (7.6+dfsg-2ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: cross site scripting
    - debian/patches/CVE-2022-46391.patch: fix XSS in hostinfo plugin due to
      printing whois response without proper checks.
    - CVE-2022-46391

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 27 Feb 2023 21:32:47 +0100

awstats (7.6+dfsg-2ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Path traversal
    - debian/patches/CVE-2020-29600.patch: Disable parsing arbitrary files in
      wwwroot/cgi-bin/awstats.pl, introduced by an incomplete fix for
      CVE-2017-1000501.
    - CVE-2020-29600
  * SECURITY UPDATE: Path traversal 
    - debian/patches/CVE-2020-35176.patch: Disable parsing /etc/ dir in
      wwwroot/cgi-bin/awstats.pl, introduced by an incomplete fix for
      CVE-2017-1000501.
    - CVE-2020-35176

 -- Avital Ostromich <avital.ostromich@canonical.com>  Mon, 19 Apr 2021 21:27:22 -0400

awstats (7.6+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA team.
  * Import fixes from Ubuntu.
    + CVE-2017-1000501, closes: #885835
    + but the fix for #858461 is incomplete
  * Drop ancient versioned Recommends on an essential package.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 02 Feb 2018 02:21:35 +0100

awstats (7.6+dfsg-1ubuntu2) bionic; urgency=medium

  [ Christian Ehrhardt ]
  * debian/README.Debian, debian/prerotate.sh: fix logrotate integration due to
    change of www-data to /usr/sbin/nologin (a step towards #858461, LP: #1708665)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 15 Dec 2017 18:55:12 -0200

awstats (7.6+dfsg-1ubuntu1) bionic; urgency=medium

  * SECURITY UPDATE: code execution via path traversal flaws
    - debian/patches/CVE-2017-1000501-1.patch: sanitize values in
      wwwroot/cgi-bin/awstats.pl.
    - debian/patches/CVE-2017-1000501-2.patch: sanitize more values in
      wwwroot/cgi-bin/awstats.pl.
    - CVE-2017-1000501

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Jan 2018 07:35:35 -0500

awstats (7.6+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 7.6+dfsg
  * Refresh patches
  * Bump up Standards-Version (to 3.9.8)
  * Fix spelling in README.Debian

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 12 Dec 2016 13:51:39 +0300
