=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), ant, default-jdk, sharutils
 Vcs-Git: git://anonscm.debian.org/collab-maint/awstats.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/awstats.git;a=summary
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: http://awstats.sourceforge.net/
 
 Package: awstats
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}
-Recommends: libnet-xwhois-perl, coreutils (>= 7.4)
+Recommends: libnet-xwhois-perl
 Suggests: apache2 | httpd, libnet-dns-perl, libnet-ip-perl, libgeo-ipfree-perl, liburi-perl
 Description: powerful and featureful web server log analyzer
  Advanced Web Statistics (AWStats) is a powerful web server logfile
