## awstats 7.6.1

=== debian/changelog ===
awstats (7.6.1-1+security) unstable; urgency=medium

  * update

 -- Debian QA Group <packages@qa.debian.org>  Thu, 24 Jun 2021 16:11:27 +0800
