## awstats 7.8

=== debian/changelog ===
awstats (7.8-3+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * debian/awstats.postinst: part of the code was moved to the awstats.preinst
    file, to avoid creating the
    /etc/logrotate.d/httpd-prerotate/awstats.dpkg-new file, and thus requiring
    user interaction when updating. See #1037213.
  * debian/awstats.preinst: created.

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Mon, 09 Oct 2023 21:04:39 -0300

awstats (7.8-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Avoid invoking dpkg-parsechangelog.

  [ Salvatore Bonaccorso ]
  * fix cross site scripting (CVE-2022-46391) (Closes: #1025410)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 04 Dec 2022 20:52:31 +0100

awstats (7.8-2) unstable; urgency=high

  * QA upload.
  * CVE-2020-35176: in AWStats through 7.8, cgi-bin/awstats.pl?config=
    accepts a partial absolute pathname (omitting the initial /etc), even
    though it was intended to only read a file in the
    /etc/awstats/awstats.conf format. NOTE: this issue exists because of
    an incomplete fix for CVE-2017-1000501 and CVE-2020-29600.
    Closes: #977190

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 02 Feb 2021 08:56:57 +0100

awstats (7.8-1) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Use canonical URL in Vcs-Git.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Sylvain Beucler ]
  * Fix /etc/logrotate.d/httpd-prerotate script installation
    (Closes: #890414)
  * New 7.8 upstream release. (Closes: #775481)
  * Refresh patches.

 -- Sylvain Beucler <beuc@debian.org>  Wed, 09 Dec 2020 15:57:39 +0100
