=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: awstats
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), ant, default-jdk, sharutils
-Vcs-Git: git://anonscm.debian.org/collab-maint/awstats.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/awstats.git;a=summary
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), ant, default-jdk, sharutils
+Vcs-Git: https://salsa.debian.org/debian/awstats.git
+Vcs-Browser: https://salsa.debian.org/debian/awstats
 Standards-Version: 4.1.3
 Homepage: http://awstats.sourceforge.net/
