=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+include /usr/share/dpkg/pkg-info.mk
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | cut -d+ -f1)
 
 %:
@@ -46,3 +46,5 @@
 		--buildsystem=ant \
 		--sourcedirectory=wwwroot/classes -- \
 		-Dversion=$(DEB_UPSTREAM_VERSION)
+	-rm wwwroot/classes/awgraphapplet-$(DEB_UPSTREAM_VERSION).jar
+	-rm wwwroot/classes/src/AWGraphApplet.class
