=== debian/watch ===
version=3
# use qa.debian.org redirector; see man uscan
opts=dversionmangle=s/.dfsg//,uversionmangle=s/7\.(\d)/7.$1/ \
  https://sf.net/awstats/awstats-(.*).tar.gz debian
