## awstats 7.9

=== debian/changelog ===
awstats (7.9-1) unstable; urgency=medium

  * New maintainer (Closes: #755797)
  * New upstream release. 
  * Remove patches (fixed upstream) fix-cross-site-scripting.patch and
    0013-Only-look-for-configuration-in-dedicated-awstats-dir.patch
  * Bug #1037213 has been fixed in 7.8-4 Closes: #1037213)

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Aug 2023 09:03:39 +0200

awstats (7.8-4) unstable; urgency=medium

  * QA upload.
  * debian/awstats.postinst: part of the code was moved to the awstats.preinst
    file, to avoid creating the
    /etc/logrotate.d/httpd-prerotate/awstats.dpkg-new file, and thus requiring
    user interaction when updating. See #1037213.
  * debian/awstats.preinst: created.

 -- Lourisvaldo Figueredo Junior <lourisvaldo@figueredo.tec.br>  Sun, 09 Jul 2023 11:42:22 -0300
