=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: awstats
 Section: web
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
+Homepage: http://awstats.sourceforge.net/
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), ant, default-jdk, sharutils
-Vcs-Git: https://salsa.debian.org/debian/awstats.git
-Vcs-Browser: https://salsa.debian.org/debian/awstats
-Standards-Version: 4.1.3
-Homepage: http://awstats.sourceforge.net/
 
 Package: awstats
 Architecture: all
