## awstats 8.0

=== debian/changelog ===
awstats (8.0-3) unstable; urgency=medium

  * debian/control Move libjson-xs-perl from Suggests: to Depends:

 -- Christian Marillat <marillat@debian.org>  Mon, 01 Sep 2025 10:44:17 +0200

awstats (8.0-2) unstable; urgency=medium

  * Should Depends on libjson-xs-perl

 -- Christian Marillat <marillat@debian.org>  Tue, 26 Aug 2025 16:30:42 +0200

awstats (8.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches. Delete unused 2008_twitter.patch
  * Fixes typos with spellintian

 -- Christian Marillat <marillat@debian.org>  Tue, 26 Aug 2025 15:29:18 +0200
