=== debian/control ===
Source: awstats
Section: web
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://awstats.sourceforge.net/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), ant, default-jdk, sharutils

Package: awstats
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libjson-xs-perl,
Recommends: libnet-xwhois-perl,
Suggests: apache2 | httpd, libnet-dns-perl, libnet-ip-perl, libgeo-ipfree-perl, liburi-perl,
Description: powerful and featureful web server log analyzer
 Advanced Web Statistics (AWStats) is a powerful web server logfile analyzer
 written in perl that shows you all your web statistics including visits,
 unique visitors, pages, hits, rush hours, search engines, keywords used to
 find your site, robots, broken links and more. Gives more detailed
 information and better graphical charts than webalizer, and is easier to
 use. Works with several web server log format as a CGI and/or from command
 line. Supports more than 30 languages.
