=== debian/rules ===
--- 
+++ 
@@ -6,19 +6,25 @@
 %:
 	dh $@
 
-override_dh_installchangelogs:
-	dh_installchangelogs docs/awstats_changelog.txt
+override_dh_auto_build:
+	dh_auto_build \
+		--buildsystem=ant \
+		--sourcedirectory=wwwroot/classes -- \
+		-Dversion=$(DEB_UPSTREAM_VERSION) bin-jar
 
 override_dh_auto_install:
 	dh_auto_install
+
 	dh_install \
 		wwwroot/classes/awgraphapplet-$(DEB_UPSTREAM_VERSION).jar \
 		usr/share/java/awstats/
+
 	cp wwwroot/cgi-bin/awstats.model.conf debian/awstats/etc/awstats/awstats.conf
 
 override_dh_link:
 	rm debian/awstats/usr/share/doc/awstats/html/images/awstats_logo6.png
 	dh_link
+
 	dh_link \
 		usr/share/java/awstats/awgraphapplet-$(DEB_UPSTREAM_VERSION).jar \
 		usr/share/java/awstats/awgraphapplet.jar
@@ -35,16 +41,14 @@
 	chmod -x debian/awstats/usr/share/awstats/lang/*.txt
 	chmod -x debian/awstats/usr/share/awstats/plugins/*.pm
 
-override_dh_auto_build:
-	dh_auto_build \
-		--buildsystem=ant \
-		--sourcedirectory=wwwroot/classes -- \
-		-Dversion=$(DEB_UPSTREAM_VERSION) bin-jar
+override_dh_installchangelogs:
+	dh_installchangelogs docs/awstats_changelog.txt
 
 override_dh_auto_clean:
 	-dh_auto_clean \
 		--buildsystem=ant \
 		--sourcedirectory=wwwroot/classes -- \
 		-Dversion=$(DEB_UPSTREAM_VERSION)
+
 	-rm wwwroot/classes/awgraphapplet-$(DEB_UPSTREAM_VERSION).jar
 	-rm wwwroot/classes/src/AWGraphApplet.class
