=== debian/watch ===
version=4

opts=dversionmangle=s/.dfsg//,uversionmangle=s/7\.(\d)/7.$1/ \
https://sf.net/awstats/awstats-(.*).tar.gz debian
